﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using FarPoint.Win.Spread;

namespace SpreadStudioV8_Table
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        TableView table = null;
        private void 添加表格ToolStripMenuItem_Click(object sender, EventArgs e)
    {
        fpSpread1.Sheets[0].RemoveTable("table");

        // 通过 AddTable 方法添加表格
        fpSpread1.Sheets[0].Cells[1, 1].Text = "产品名称";
        fpSpread1.Sheets[0].Cells[1, 2].Text = "销量";
        fpSpread1.Sheets[0].Cells[2, 1].Text = "iPhone 6";
        fpSpread1.Sheets[0].Cells[2, 2].Value = 5000;
        fpSpread1.Sheets[0].Cells[3, 1].Text = "iPhone 6 Plus";
        fpSpread1.Sheets[0].Cells[3, 2].Value = 6800;
        fpSpread1.Sheets[0].Cells[4, 1].Text = "小米 4";
        fpSpread1.Sheets[0].Cells[4, 2].Value = 12000;
        fpSpread1.Sheets[0].Cells[5, 1].Text = "三星 Note4";
        fpSpread1.Sheets[0].Cells[5, 2].Value = 5800;
        table = fpSpread1.Sheets[0].AddTable("table", 1, 1, 6, 2);
    }

    private void 数据过滤ToolStripMenuItem_Click(object sender, EventArgs e)
    {
        // 设置表格是否显示过滤工具栏
        table.FilterButtonVisible = !table.FilterButtonVisible;
    }

    private void 调整大小ToolStripMenuItem_Click(object sender, EventArgs e)
    {
        // 调整表格大小（行和列的数量）
        table.Resize(6, 3);
    }

    private void 数据排序ToolStripMenuItem_Click(object sender, EventArgs e)
    {
        // 通过 Sort 方法对表格数据进行排序
        FarPoint.Win.Spread.ComplexSortInfo[] sort = new FarPoint.Win.Spread.ComplexSortInfo[1];
        sort[0] = new FarPoint.Win.Spread.ComplexSortInfo(1, true);
        table.Sort(sort);
    }

    private void 设置样式ToolStripMenuItem_Click(object sender, EventArgs e)
    {
        // 设置表格样式
        fpSpread1.Sheets[0].RemoveTable("table");
        FarPoint.Win.ComplexBorderSide bside = new FarPoint.Win.ComplexBorderSide(Color.Yellow);
        FarPoint.Win.Spread.TableBorder tborder = new FarPoint.Win.Spread.TableBorder(bside);
        FarPoint.Win.Spread.TableElementStyle testyle = new FarPoint.Win.Spread.TableElementStyle(tborder, Color.Red, Color.Blue, FarPoint.Win.Spread.RegularBoldItalicFontStyle.Bold);
        FarPoint.Win.Spread.TableStyle tstyle = fpSpread1.CreateTableStyle("Style1", FarPoint.Win.Spread.TableStyle.TableStyleLight2);
        tstyle.FirstColumn = testyle;
        fpSpread1.Sheets[0].Cells[1, 1].Text = "产品名称";
        fpSpread1.Sheets[0].Cells[1, 2].Text = "销量";
        fpSpread1.Sheets[0].Cells[2, 1].Text = "iPhone 6";
        fpSpread1.Sheets[0].Cells[2, 2].Value = 5000;
        fpSpread1.Sheets[0].Cells[3, 1].Text = "iPhone 6 Plus";
        fpSpread1.Sheets[0].Cells[3, 2].Value = 6800;
        fpSpread1.Sheets[0].Cells[4, 1].Text = "小米 4";
        fpSpread1.Sheets[0].Cells[4, 2].Value = 12000;
        fpSpread1.Sheets[0].Cells[5, 1].Text = "三星 Note4";
        fpSpread1.Sheets[0].Cells[5, 2].Value = 5800;
        fpSpread1.TableStyleCollection.Add(tstyle);
        FarPoint.Win.Spread.TableView table = fpSpread1.Sheets[0].AddTable("table", 1, 1, 6, 2, "Style1");
        table.FirstColumn = true;
    }

    private void 表格公式ToolStripMenuItem_Click(object sender, EventArgs e)
    {
        fpSpread1.Sheets[0].RemoveTable("table");

        // 设置表格的合计行是否显示
        fpSpread1.Sheets[0].Cells[1, 1].Text = "产品名称";
        fpSpread1.Sheets[0].Cells[1, 2].Text = "销量";
        fpSpread1.Sheets[0].Cells[2, 1].Text = "iPhone 6";
        fpSpread1.Sheets[0].Cells[2, 2].Value = 5000;
        fpSpread1.Sheets[0].Cells[3, 1].Text = "iPhone 6 Plus";
        fpSpread1.Sheets[0].Cells[3, 2].Value = 6800;
        fpSpread1.Sheets[0].Cells[4, 1].Text = "小米 4";
        fpSpread1.Sheets[0].Cells[4, 2].Value = 12000;
        fpSpread1.Sheets[0].Cells[5, 1].Text = "三星 Note4";
        fpSpread1.Sheets[0].Cells[5, 2].Value = 5800;
        FarPoint.Win.Spread.TableView table = fpSpread1.Sheets[0].AddTable("table", 1, 1, 6, 2);
        table.TotalRowVisible = true;
    }

    private void 公式引用ToolStripMenuItem_Click(object sender, EventArgs e)
    {
        fpSpread1.Sheets[0].RemoveTable("table");

        // 在公式中引用表格
        fpSpread1.Sheets[0].Cells[1, 1].Text = "产品名称";
        fpSpread1.Sheets[0].Cells[1, 2].Text = "销量";
        fpSpread1.Sheets[0].Cells[2, 1].Text = "iPhone 6";
        fpSpread1.Sheets[0].Cells[2, 2].Value = 5000;
        fpSpread1.Sheets[0].Cells[3, 1].Text = "iPhone 6 Plus";
        fpSpread1.Sheets[0].Cells[3, 2].Value = 6800;
        fpSpread1.Sheets[0].Cells[4, 1].Text = "小米 4";
        fpSpread1.Sheets[0].Cells[4, 2].Value = 12000;
        fpSpread1.Sheets[0].Cells[5, 1].Text = "三星 Note4";
        fpSpread1.Sheets[0].Cells[5, 2].Value = 5800;
        FarPoint.Win.Spread.TableView table = fpSpread1.Sheets[0].AddTable("table", 1, 1, 6, 2);
        fpSpread1.Sheets[0].Cells[8, 1].Text = "销量合计：";
        fpSpread1.Sheets[0].Cells[8, 2].Formula = "SUM(table[销量])";

    }
    }
}
